<script setup lang="ts">
import ky from "ky";
import { store } from "./store.ts";

async function loginUser(event: Event) {
  event.preventDefault();
  const form = event.target as HTMLFormElement;
  const formData = new FormData(form);
  const response = await ky("https://symfony-auth.aaa/api/login", {
    method: "post",
    json: {
      username: formData.get("username"),
      password: formData.get("password"),
    },
    headers: {
      'Content-Type': 'application/json',
      'Accept': 'application/json',
    },
    credentials: "include",
    throwHttpErrors: false,
  });
  const json = await response.json() as { email: string };
  store.email = json.email;
}
</script>

<template>
  <form method="post" @submit="loginUser">
    <div>
      <label for="username">Username</label>
      <input type="text" name="username" />
    </div>
    <div>
      <label for="password">Password</label>
      <input type="password" name="password" />
    </div>
    <button type="submit">Login</button>
  </form>
  <div v-if="store.email !== undefined">
    <p>Welcome, {{ store.email }}</p>
  </div>
</template>

<style scoped></style>
